org.springframework.batch.sample.jmx

## Class StepExecutionApplicationEventAdvice

- java.lang.Object
- - org.springframework.batch.sample.jmx.StepExecutionApplicationEventAdvice

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.ApplicationEventPublisherAware

      public class StepExecutionApplicationEventAdvice
      extends java.lang.Object
      implements org.springframework.context.ApplicationEventPublisherAware

  Wraps calls for methods taking `StepExecution` as an argument and publishes notifications in the form of `ApplicationEvent`.
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionApplicationEventAdvice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `after(org.aspectj.lang.JoinPoint jp, StepExecution stepExecution)`
    `void` | `before(org.aspectj.lang.JoinPoint jp, StepExecution stepExecution)`
    `void` | `onError(org.aspectj.lang.JoinPoint jp, StepExecution stepExecution, java.lang.Throwable t)`
    `void` | `setApplicationEventPublisher(org.springframework.context.ApplicationEventPublisher applicationEventPublisher)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionApplicationEventAdvice

          public StepExecutionApplicationEventAdvice()

  - ### Method Detail

    - #### setApplicationEventPublisher

          public void setApplicationEventPublisher(org.springframework.context.ApplicationEventPublisher applicationEventPublisher)

      Specified by:
        `setApplicationEventPublisher` in interface `org.springframework.context.ApplicationEventPublisherAware`

    - #### before

          public void before(org.aspectj.lang.JoinPoint jp,
                             StepExecution stepExecution)

    - #### after

          public void after(org.aspectj.lang.JoinPoint jp,
                            StepExecution stepExecution)

    - #### onError

          public void onError(org.aspectj.lang.JoinPoint jp,
                              StepExecution stepExecution,
                              java.lang.Throwable t)